Package com.pixelmed.dicom

# Class TagFromName

java.lang.Object
com.pixelmed.dicom.TagFromName

public class TagFromName extends Object

The `TagFromName` class contains a selected list of constant values for frequently used `AttributeTag`s.

Originally it contained the entire data dictionary and was automatically generated, but eventually the class exceeded the maximum size Java supports. Accordingly, it was culled to only a selected list, and known uses of infrequently used tags are flagged as deprecated and may be removed in future releases.

In the absence of a constant in this class, the tag can be found by a dictionary lookup, e.g., instead of:

            TagFromName.AcquisitionDate

use:

            DicomDictionary.StandardDictionary.getTagFromName("AcquisitionDate")

In the event of significant performance issues with the dictionary lookup, which are expected to be unlikely due to efficient String pool, well-distributed String hashcodes and HashMap implementations in Java, a user can always define their own equivalent of this class for their own application. E.g., in their own classes, include definitions of their own tags, of the form:

            static public final AttributeTag MyFavoriteTagKeyword = new AttributeTag(0xgggg,0xeeee);

See Also:
  - `DicomDictionary.StandardDictionary`
  - `DicomDictionaryBase.getTagFromName(String)`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final AttributeTag`
`AccessionNumber`
`static final AttributeTag`
`AcquisitionContextSequence`
`static final AttributeTag`
`AcquisitionContrast`
`static final AttributeTag`
`AcquisitionDate`
`static final AttributeTag`
`AcquisitionDateTime`
`static final AttributeTag`
`AcquisitionDuration`
`static final AttributeTag`
`AcquisitionNumber`
`static final AttributeTag`
`AcquisitionTime`
`static final AttributeTag`
`AcquisitionTimeSynchronized`
`static final AttributeTag`
`AcquisitionType`
`static final AttributeTag`
`AcquisitionUID`
`static final AttributeTag`
`ActualFrameDuration`
`static final AttributeTag`
`AdditionalPatientHistory`
`static final AttributeTag`
`AdmissionID`
`static final AttributeTag`
`AdmittingDiagnosesCodeSequence`
`static final AttributeTag`
`AdmittingDiagnosesDescription`
`static final AttributeTag`
`AffectedSOPClassUID`
`static final AttributeTag`
`AffectedSOPInstanceUID`
`static final AttributeTag`
`Allergies`
`static final AttributeTag`
`AlternateContentDescriptionSequence`
`static final AttributeTag`
`AlternateRepresentationSequence`
`static final AttributeTag`
`AnatomicalOrientationType`
`static final AttributeTag`
`AnatomicRegionModifierSequence`
`static final AttributeTag`
`AnatomicRegionSequence`
`static final AttributeTag`
`AttributeModificationDateTime`
`static final AttributeTag`
`AuthorizationEquipmentCertificationNumber`
`static final AttributeTag`
`BarcodeValue`
`static final AttributeTag`
`BitsAllocated`
`static final AttributeTag`
`BitsStored`
`static final AttributeTag`
`BlendingSequence`
`static final AttributeTag`
`BlockData`
`static final AttributeTag`
`BluePaletteColorLookupTableData`
`static final AttributeTag`
`BluePaletteColorLookupTableDescriptor`
`static final AttributeTag`
`BodyPartExamined`
`static final AttributeTag`
`BodyPartThickness`
`static final AttributeTag`
`BreedRegistrationSequence`
`static final AttributeTag`
`BurnedInAnnotation`
`static final AttributeTag`
`CalibrationImage`
`static final AttributeTag`
`CenterOfCircularShutter`
`static final AttributeTag`
`ChannelDefinitionSequence`
`static final AttributeTag`
`ChannelLabel`
`static final AttributeTag`
`ChannelSensitivity`
`static final AttributeTag`
`ChannelSensitivityCorrectionFactor`
`static final AttributeTag`
`ChannelSensitivityUnitsSequence`
`static final AttributeTag`
`ChannelSourceSequence`
`static final AttributeTag`
`ClinicalTrialCoordinatingCenterName`
`static final AttributeTag`
`ClinicalTrialProtocolEthicsCommitteeApprovalNumber`
`static final AttributeTag`
`ClinicalTrialProtocolEthicsCommitteeName`
`static final AttributeTag`
`ClinicalTrialProtocolID`
`static final AttributeTag`
`ClinicalTrialProtocolName`
`static final AttributeTag`
`ClinicalTrialSeriesDescription`
`static final AttributeTag`
`ClinicalTrialSeriesID`
`static final AttributeTag`
`ClinicalTrialSiteID`
`static final AttributeTag`
`ClinicalTrialSiteName`
`static final AttributeTag`
`ClinicalTrialSponsorName`
`static final AttributeTag`
`ClinicalTrialSubjectID`
`static final AttributeTag`
`ClinicalTrialSubjectReadingID`
`static final AttributeTag`
`ClinicalTrialTimePointDescription`
`static final AttributeTag`
`ClinicalTrialTimePointID`
`static final AttributeTag`
`CodeMeaning`
`static final AttributeTag`
`CodeValue`
`static final AttributeTag`
`CodingSchemeDesignator`
`static final AttributeTag`
`CodingSchemeIdentificationSequence`
`static final AttributeTag`
`CodingSchemeName`
`static final AttributeTag`
`CodingSchemeRegistry`
`static final AttributeTag`
`CodingSchemeResponsibleOrganization`
`static final AttributeTag`
`CodingSchemeUID`
`static final AttributeTag`
`CodingSchemeVersion`
`static final AttributeTag`
`ColumnPositionInTotalImagePixelMatrix`
`static final AttributeTag`
`Columns`
`static final AttributeTag`
`CommandDataSetType`
`static final AttributeTag`
`CommandField`
`static final AttributeTag`
`CommandLengthToEnd`
`static final AttributeTag`
`CommentsOnThePerformedProcedureStep`
`static final AttributeTag`
`CompensatorThicknessData`
`static final AttributeTag`
`CompensatorTransmissionData`
`static final AttributeTag`
`CompletionFlag`
`static final AttributeTag`
`ComplexImageComponent`
`static final AttributeTag`
`ConcatenationFrameOffsetNumber`
`static final AttributeTag`
`ConcatenationUID`
`static final AttributeTag`
`ConceptCodeSequence`
`static final AttributeTag`
`ConceptNameCodeSequence`
`static final AttributeTag`
`ConsentForClinicalTrialUseSequence`
`static final AttributeTag`
`ConsultingPhysicianIdentificationSequence`
`static final AttributeTag`
`ConsultingPhysicianName`
`static final AttributeTag`
`ContainerIdentifier`
`static final AttributeTag`
`ContentCreatorIdentificationCodeSequence`
`static final AttributeTag`
`ContentCreatorName`
`static final AttributeTag`
`ContentDate`
`static final AttributeTag`
`ContentDescription`
`static final AttributeTag`
`ContentItemModifierSequence`
`static final AttributeTag`
`ContentLabel`
`static final AttributeTag`
`ContentQualification`
`static final AttributeTag`
`ContentSequence`
`static final AttributeTag`
`ContentTemplateSequence`
`static final AttributeTag`
`ContentTime`
`static final AttributeTag`
`ContextGroupExtensionCreatorUID`
`static final AttributeTag`
`ContextGroupIdentificationSequence`
`static final AttributeTag`
`ContinuityOfContent`
`static final AttributeTag`
`ContourData`
`static final AttributeTag`
`ContrastBolusAdministrationRouteSequence`
`static final AttributeTag`
`ContrastBolusAgent`
`static final AttributeTag`
`ContrastBolusAgentPhase`
`static final AttributeTag`
`ContrastBolusAgentSequence`
`static final AttributeTag`
`ContrastBolusIngredient`
`static final AttributeTag`
`ContrastBolusIngredientConcentration`
`static final AttributeTag`
`ContrastBolusRoute`
`static final AttributeTag`
`ContrastBolusStartTime`
`static final AttributeTag`
`ContrastBolusStopTime`
`static final AttributeTag`
`ContrastBolusTotalDose`
`static final AttributeTag`
`ContrastBolusUsageSequence`
`static final AttributeTag`
`ContrastBolusVolume`
`static final AttributeTag`
`ContrastFlowDuration`
`static final AttributeTag`
`ContrastFlowRate`
`static final AttributeTag`
`ContributingEquipmentSequence`
`static final AttributeTag`
`ContributionDescription`
`static final AttributeTag`
`ConversionSourceAttributesSequence`
`static final AttributeTag`
`ConversionType`
`static final AttributeTag`
`ConvolutionKernel`
`static final AttributeTag`
`CorrectedImage`
`static final AttributeTag`
`CreatorVersionUID`
`static final AttributeTag`
`CTAcquisitionTypeSequence`
`static final AttributeTag`
`CTExposureSequence`
`static final AttributeTag`
`CTImageFrameTypeSequence`
`static final AttributeTag`
`CTPositionSequence`
`static final AttributeTag`
`CTReconstructionSequence`
`static final AttributeTag`
`CTTableDynamicsSequence`
`static final AttributeTag`
`CTXRayDetailsSequence`
`static final AttributeTag`
`CurrentRequestedProcedureEvidenceSequence`
`static final AttributeTag`
`DataPointColumns`
`static final AttributeTag`
`DataPointRows`
`static final AttributeTag`
`DataRepresentation`
`static final AttributeTag`
`DataSetTrailingPadding`
`static final AttributeTag`
`Date`
`static final AttributeTag`
`DateOfLastCalibration`
`static final AttributeTag`
`DateOfSecondaryCapture`
`static final AttributeTag`
`DateTime`
`static final AttributeTag`
`DecayCorrection`
`static final AttributeTag`
`DeidentificationMethod`
`static final AttributeTag`
`DeidentificationMethodCodeSequence`
`static final AttributeTag`
`DerivationCodeSequence`
`static final AttributeTag`
`DerivationDescription`
`static final AttributeTag`
`DerivationImageSequence`
`static final AttributeTag`
`DeviceSerialNumber`
`static final AttributeTag`
`DeviceUID`
`static final AttributeTag`
`DigitalImageFormatAcquired`
`static final AttributeTag`
`DigitizingDeviceTransportDirection`
`static final AttributeTag`
`DimensionDescriptionLabel`
`static final AttributeTag`
`DimensionIndexPointer`
`static final AttributeTag`
`DimensionIndexSequence`
`static final AttributeTag`
`DimensionIndexValues`
`static final AttributeTag`
`DimensionOrganizationSequence`
`static final AttributeTag`
`DimensionOrganizationType`
`static final AttributeTag`
`DimensionOrganizationUID`
`static final AttributeTag`
`DirectoryRecordSequence`
`static final AttributeTag`
`DirectoryRecordType`
`static final AttributeTag`
`DistanceSourceToDetector`
`static final AttributeTag`
`DistanceSourceToPatient`
`static final AttributeTag`
`DocumentClassCodeSequence`
`static final AttributeTag`
`DocumentTitle`
`static final AttributeTag`
`DoseComment`
`static final AttributeTag`
`DoseSummationType`
`static final AttributeTag`
`DoubleFloatPixelData`
`static final AttributeTag`
`DVHData`
`static final AttributeTag`
`EchoNumbers`
`static final AttributeTag`
`EchoTime`
`static final AttributeTag`
`EchoTrainLength`
`static final AttributeTag`
`EncapsulatedDocument`
`static final AttributeTag`
`EncapsulatedDocumentLength`
`static final AttributeTag`
`EncryptedAttributesSequence`
`static final AttributeTag`
`EncryptedContentTransferSyntaxUID`
`static final AttributeTag`
`EndMessageID`
`static final AttributeTag`
`EquipmentFrameOfReferenceUID`
`static final AttributeTag`
`ErrorComment`
`static final AttributeTag`
`EstimatedRadiographicMagnificationFactor`
`static final AttributeTag`
`EthnicGroup`
`static final AttributeTag`
`FiducialUID`
`static final AttributeTag`
`FieldOfViewDimensionsInFloat`
`static final AttributeTag`
`FieldOfViewHorizontalFlip`
`static final AttributeTag`
`FieldOfViewOrigin`
`static final AttributeTag`
`FieldOfViewRotation`
`static final AttributeTag`
`FieldOfViewShape`
`static final AttributeTag`
`FileMetaInformationGroupLength`
`static final AttributeTag`
`FileMetaInformationVersion`
`static final AttributeTag`
`FileSetConsistencyFlag`
`static final AttributeTag`
`FileSetID`
`static final AttributeTag`
`FillerOrderNumberImagingServiceRequest`
`static final AttributeTag`
`FloatingPointValue`
`static final AttributeTag`
`FloatPixelData`
`static final AttributeTag`
`FrameAcquisitionDateTime`
`static final AttributeTag`
`FrameAcquisitionDuration`
`static final AttributeTag`
`FrameAcquisitionNumber`
`static final AttributeTag`
`FrameAnatomySequence`
`static final AttributeTag`
`FrameComments`
`static final AttributeTag`
`FrameContentSequence`
`static final AttributeTag`
`FrameIncrementPointer`
`static final AttributeTag`
`FrameLaterality`
`static final AttributeTag`
`FrameOfReferenceUID`
`static final AttributeTag`
`FrameReferenceDateTime`
`static final AttributeTag`
`FrameReferenceTime`
`static final AttributeTag`
`FrameTime`
`static final AttributeTag`
`FrameType`
`static final AttributeTag`
`FrameVOILUTSequence`
`static final AttributeTag`
`FunctionalGroupPointer`
`static final AttributeTag`
`GantryID`
`static final AttributeTag`
`GeneticModificationsSequence`
`static final AttributeTag`
`GraphicAnnotationSequence`
`static final AttributeTag`
`GraphicData`
`static final AttributeTag`
`GraphicType`
`static final AttributeTag`
`GreenPaletteColorLookupTableData`
`static final AttributeTag`
`GreenPaletteColorLookupTableDescriptor`
`static final AttributeTag`
`GroupOfPatientsIdentificationSequence`
`static final AttributeTag`
`HighBit`
`static final AttributeTag`
`HistogramData`
`static final AttributeTag`
`HL7DocumentTypeCodeSequence`
`static final AttributeTag`
`HL7InstanceIdentifier`
`static final AttributeTag`
`HL7StructuredDocumentReferenceSequence`
`static final AttributeTag`
`ICCProfile`
`static final AttributeTag`
`IconImageSequence`
`static final AttributeTag`
`Illumination`
`static final AttributeTag`
`ImageComments`
`static final AttributeTag`
`ImagedNucleus`
`static final AttributeTag`
`ImageFrameOrigin`
`static final AttributeTag`
`ImageLaterality`
`static final AttributeTag`
`ImageOrientationPatient`
`static final AttributeTag`
`ImageOrientationSlide`
`static final AttributeTag`
`ImagePositionPatient`
`static final AttributeTag`
`ImagerPixelSpacing`
`static final AttributeTag`
`ImageType`
`static final AttributeTag`
`ImplementationClassUID`
`static final AttributeTag`
`ImplementationVersionName`
`static final AttributeTag`
`InConcatenationNumber`
`static final AttributeTag`
`InConcatenationTotalNumber`
`static final AttributeTag`
`InStackPositionNumber`
`static final AttributeTag`
`InstanceCoercionDateTime`
`static final AttributeTag`
`InstanceCreationDate`
`static final AttributeTag`
`InstanceCreationTime`
`static final AttributeTag`
`InstanceCreatorUID`
`static final AttributeTag`
`InstanceNumber`
`static final AttributeTag`
`InstanceOriginStatus`
`static final AttributeTag`
`InstitutionAddress`
`static final AttributeTag`
`InstitutionalDepartmentName`
`static final AttributeTag`
`InstitutionCodeSequence`
`static final AttributeTag`
`InstitutionName`
`static final AttributeTag`
`InterpretationAuthor`
`static final AttributeTag`
`IrradiationEventUID`
`static final AttributeTag`
`IssuerOfAccessionNumberSequence`
`static final AttributeTag`
`IssuerOfAdmissionID`
`static final AttributeTag`
`IssuerOfAdmissionIDSequence`
`static final AttributeTag`
`IssuerOfPatientID`
`static final AttributeTag`
`IssuerOfPatientIDQualifiersSequence`
`static final AttributeTag`
`IssuerOfServiceEpisodeID`
`static final AttributeTag`
`IssuerOfServiceEpisodeIDSequence`
`static final AttributeTag`
`Item`
`static final AttributeTag`
`ItemDelimitationItem`
`static final AttributeTag`
`LanguageCodeSequence`
`static final AttributeTag`
`LargestImagePixelValue`
`static final AttributeTag`
`LargestMonochromePixelValue`
`static final AttributeTag`
`LastMenstrualDate`
`static final AttributeTag`
`Laterality`
`static final AttributeTag`
`LengthToEnd`
`static final AttributeTag`
`LongitudinalTemporalEventType`
`static final AttributeTag`
`LongitudinalTemporalInformationModified`
`static final AttributeTag`
`LongitudinalTemporalOffsetFromEvent`
`static final AttributeTag`
`LongPrimitivePointIndexList`
`static final AttributeTag`
`LossyImageCompression`
`static final AttributeTag`
`LossyImageCompressionMethod`
`static final AttributeTag`
`LossyImageCompressionRatio`
`static final AttributeTag`
`LUTData`
`static final AttributeTag`
`LUTDescriptor`
`static final AttributeTag`
`LUTExplanation`
`static final AttributeTag`
`LUTLabel`
`static final AttributeTag`
`MACCalculationTransferSyntaxUID`
`static final AttributeTag`
`Manufacturer`
`static final AttributeTag`
`ManufacturerDeviceClassUID`
`static final AttributeTag`
`ManufacturerModelName`
`static final AttributeTag`
`MappingResource`
`static final AttributeTag`
`MappingResourceIdentificationSequence`
`static final AttributeTag`
`MaximumFractionalValue`
`static final AttributeTag`
`MeasuredAPDimension`
`static final AttributeTag`
`MeasuredLateralDimension`
`static final AttributeTag`
`MeasuredValueSequence`
`static final AttributeTag`
`MeasurementLaterality`
`static final AttributeTag`
`MeasurementUnitsCodeSequence`
`static final AttributeTag`
`MeasuringUnitsSequence`
`static final AttributeTag`
`MediaStorageSOPClassUID`
`static final AttributeTag`
`MediaStorageSOPInstanceUID`
`static final AttributeTag`
`MedicalAlerts`
`static final AttributeTag`
`MessageID`
`static final AttributeTag`
`MessageIDBeingRespondedTo`
`static final AttributeTag`
`MidSlabPosition`
`static final AttributeTag`
`MIMETypeOfEncapsulatedDocument`
`static final AttributeTag`
`ModalitiesInStudy`
`static final AttributeTag`
`Modality`
`static final AttributeTag`
`ModifiedAttributesSequence`
`static final AttributeTag`
`ModifyingSystem`
`static final AttributeTag`
`MoveDestination`
`static final AttributeTag`
`MoveOriginatorApplicationEntityTitle`
`static final AttributeTag`
`MoveOriginatorMessageID`
`static final AttributeTag`
`MRAcquisitionType`
`static final AttributeTag`
`MRAveragesSequence`
`static final AttributeTag`
`MRDiffusionSequence`
`static final AttributeTag`
`MREchoSequence`
`static final AttributeTag`
`MRImageFrameTypeSequence`
`static final AttributeTag`
`MRModifierSequence`
`static final AttributeTag`
`MRTimingAndRelatedParametersSequence`
`static final AttributeTag`
`NameOfPhysiciansReadingStudy`
`static final AttributeTag`
`NominalScannedPixelSpacing`
`static final AttributeTag`
`NumberOfCompletedSuboperations`
`static final AttributeTag`
`NumberOfFailedSuboperations`
`static final AttributeTag`
`NumberOfFrames`
`static final AttributeTag`
`NumberOfFramesInOverlay`
`static final AttributeTag`
`NumberOfPatientRelatedStudies`
`static final AttributeTag`
`NumberOfRemainingSuboperations`
`static final AttributeTag`
`NumberOfSeriesRelatedInstances`
`static final AttributeTag`
`NumberOfStudyRelatedInstances`
`static final AttributeTag`
`NumberOfStudyRelatedSeries`
`static final AttributeTag`
`NumberOfWarningSuboperations`
`static final AttributeTag`
`NumberOfWaveformChannels`
`static final AttributeTag`
`NumberOfWaveformSamples`
`static final AttributeTag`
`NumericValue`
`static final AttributeTag`
`NumericValueQualifierCodeSequence`
`static final AttributeTag`
`ObservationDateTime`
`static final AttributeTag`
`ObservationUID`
`static final AttributeTag`
`Occupation`
`static final AttributeTag`
`OffendingElement`
`static final AttributeTag`
`OffsetOfReferencedLowerLevelDirectoryEntity`
`static final AttributeTag`
`OffsetOfTheFirstDirectoryRecordOfTheRootDirectoryEntity`
`static final AttributeTag`
`OffsetOfTheLastDirectoryRecordOfTheRootDirectoryEntity`
`static final AttributeTag`
`OffsetOfTheNextDirectoryRecord`
`static final AttributeTag`
`OperatorIdentificationSequence`
`static final AttributeTag`
`OperatorsName`
`static final AttributeTag`
`OpticalPathSequence`
`static final AttributeTag`
`OrderFillerIdentifierSequence`
`static final AttributeTag`
`OrderPlacerIdentifierSequence`
`static final AttributeTag`
`OriginalAttributesSequence`
`static final AttributeTag`
`OriginalSpecializedSOPClassUID`
`static final AttributeTag`
`OtherPatientIDs`
`static final AttributeTag`
`OtherPatientIDsSequence`
`static final AttributeTag`
`OtherPatientNames`
`static final AttributeTag`
`OtherStudyNumbers`
`static final AttributeTag`
`OverlayBitPosition`
`static final AttributeTag`
`OverlayBitsAllocated`
`static final AttributeTag`
`OverlayColumns`
`static final AttributeTag`
`OverlayData`
`static final AttributeTag`
`OverlayDescription`
`static final AttributeTag`
`OverlayLabel`
`static final AttributeTag`
`OverlayOrigin`
`static final AttributeTag`
`OverlayRows`
`static final AttributeTag`
`OverlaySubtype`
`static final AttributeTag`
`OverlayType`
`static final AttributeTag`
`PageNumberVector`
`static final AttributeTag`
`PaletteColorLookupTableUID`
`static final AttributeTag`
`ParametricMapFrameTypeSequence`
`static final AttributeTag`
`PatientAge`
`static final AttributeTag`
`PatientAlternativeCalendar`
`static final AttributeTag`
`PatientBirthDate`
`static final AttributeTag`
`PatientBirthDateInAlternativeCalendar`
`static final AttributeTag`
`PatientBirthTime`
`static final AttributeTag`
`PatientBodyMassIndex`
`static final AttributeTag`
`PatientBreedCodeSequence`
`static final AttributeTag`
`PatientBreedDescription`
`static final AttributeTag`
`PatientComments`
`static final AttributeTag`
`PatientDeathDateInAlternativeCalendar`
`static final AttributeTag`
`PatientID`
`static final AttributeTag`
`PatientIdentityRemoved`
`static final AttributeTag`
`PatientName`
`static final AttributeTag`
`PatientOrientation`
`static final AttributeTag`
`PatientPosition`
`static final AttributeTag`
`PatientSex`
`static final AttributeTag`
`PatientSexNeutered`
`static final AttributeTag`
`PatientSize`
`static final AttributeTag`
`PatientSizeCodeSequence`
`static final AttributeTag`
`PatientSpeciesCodeSequence`
`static final AttributeTag`
`PatientSpeciesDescription`
`static final AttributeTag`
`PatientState`
`static final AttributeTag`
`PatientWeight`
`static final AttributeTag`
`PerformedProcedureCodeSequence`
`static final AttributeTag`
`PerformedProcedureStepDescription`
`static final AttributeTag`
`PerformedProcedureStepID`
`static final AttributeTag`
`PerformedProcedureStepStartDate`
`static final AttributeTag`
`PerformedProcedureStepStartTime`
`static final AttributeTag`
`PerformedProtocolCodeSequence`
`static final AttributeTag`
`PerformingPhysicianIdentificationSequence`
`static final AttributeTag`
`PerformingPhysicianName`
`static final AttributeTag`
`PerFrameFunctionalGroupsSequence`
`static final AttributeTag`
`PersonAddress`
`static final AttributeTag`
`PersonIdentificationCodeSequence`
`static final AttributeTag`
`PersonName`
`static final AttributeTag`
`PersonTelephoneNumbers`
`static final AttributeTag`
`PETFrameTypeSequence`
`static final AttributeTag`
`PhotometricInterpretation`
`static final AttributeTag`
`PhysiciansOfRecord`
`static final AttributeTag`
`PhysiciansOfRecordIdentificationSequence`
`static final AttributeTag`
`PhysiciansReadingStudyIdentificationSequence`
`static final AttributeTag`
`PixelAspectRatio`
`static final AttributeTag`
`PixelData`
`static final AttributeTag`
`PixelDataProviderURL`
`static final AttributeTag`
`PixelMeasuresSequence`
`static final AttributeTag`
`PixelOriginInterpretation`
`static final AttributeTag`
`PixelPaddingRangeLimit`
`static final AttributeTag`
`PixelPaddingValue`
`static final AttributeTag`
`PixelPresentation`
`static final AttributeTag`
`PixelRepresentation`
`static final AttributeTag`
`PixelSpacing`
`static final AttributeTag`
`PixelSpacingCalibrationDescription`
`static final AttributeTag`
`PixelSpacingCalibrationType`
`static final AttributeTag`
`PixelValueTransformationSequence`
`static final AttributeTag`
`PlacerOrderNumberImagingServiceRequest`
`static final AttributeTag`
`PlanarConfiguration`
`static final AttributeTag`
`PlaneOrientationSequence`
`static final AttributeTag`
`PlanePositionSequence`
`static final AttributeTag`
`PlanePositionSlideSequence`
`static final AttributeTag`
`PointCoordinatesData`
`static final AttributeTag`
`PositionReferenceIndicator`
`static final AttributeTag`
`PredecessorDocumentsSequence`
`static final AttributeTag`
`PregnancyStatus`
`static final AttributeTag`
`PresentationCreationDate`
`static final AttributeTag`
`PresentationCreationTime`
`static final AttributeTag`
`PresentationIntentType`
`static final AttributeTag`
`PresentationLUTShape`
`static final AttributeTag`
`PrimaryAnatomicStructureSequence`
`static final AttributeTag`
`Priority`
`static final AttributeTag`
`PrivateDataElementCharacteristicsSequence`
`static final AttributeTag`
`PrivateInformationCreatorUID`
`static final AttributeTag`
`PrivateRecordUID`
`static final AttributeTag`
`ProcedureCodeSequence`
`static final AttributeTag`
`ProtocolName`
`static final AttributeTag`
`PulseSequenceName`
`static final AttributeTag`
`PurposeOfReferenceCodeSequence`
`static final AttributeTag`
`PyramidUID`
`static final AttributeTag`
`QualityControlImage`
`static final AttributeTag`
`QualityControlSubject`
`static final AttributeTag`
`QuantityDefinitionSequence`
`static final AttributeTag`
`QueryRetrieveLevel`
`static final AttributeTag`
`QueryRetrieveView`
`static final AttributeTag`
`RadionuclideHalfLife`
`static final AttributeTag`
`RadionuclideTotalDose`
`static final AttributeTag`
`RadiopharmaceuticalInformationSequence`
`static final AttributeTag`
`RadiopharmaceuticalStartDateTime`
`static final AttributeTag`
`RadiopharmaceuticalStartTime`
`static final AttributeTag`
`RadiusOfCircularShutter`
`static final AttributeTag`
`RationalDenominatorValue`
`static final AttributeTag`
`RationalNumeratorValue`
`static final AttributeTag`
`RealWorldValueFirstValueMapped`
`static final AttributeTag`
`RealWorldValueIntercept`
`static final AttributeTag`
`RealWorldValueLastValueMapped`
`static final AttributeTag`
`RealWorldValueLUTData`
`static final AttributeTag`
`RealWorldValueMappingSequence`
`static final AttributeTag`
`RealWorldValueSlope`
`static final AttributeTag`
`ReasonForPerformedProcedureCodeSequence`
`static final AttributeTag`
`ReasonForRequestedProcedureCodeSequence`
`static final AttributeTag`
`ReasonForStudy`
`static final AttributeTag`
`ReasonForTheAttributeModification`
`static final AttributeTag`
`ReasonForTheImagingServiceRequest`
`static final AttributeTag`
`ReasonForTheRequestedProcedure`
`static final AttributeTag`
`RecognizableVisualFeatures`
`static final AttributeTag`
`RecommendedDisplayCIELabValue`
`static final AttributeTag`
`RecommendedDisplayGrayscaleValue`
`static final AttributeTag`
`ReconstructionDiameter`
`static final AttributeTag`
`RecordInUseFlag`
`static final AttributeTag`
`RedPaletteColorLookupTableData`
`static final AttributeTag`
`RedPaletteColorLookupTableDescriptor`
`static final AttributeTag`
`ReferencedContentItemIdentifier`
`static final AttributeTag`
`ReferencedDateTime`
`static final AttributeTag`
`ReferencedDefinedProtocolSequence`
`static final AttributeTag`
`ReferencedFileID`
`static final AttributeTag`
`ReferencedFrameNumber`
`static final AttributeTag`
`ReferencedFrameOfReferenceUID`
`static final AttributeTag`
`ReferencedImageEvidenceSequence`
`static final AttributeTag`
`ReferencedImageSequence`
`static final AttributeTag`
`ReferencedInstanceSequence`
`static final AttributeTag`
`ReferencedPatientPhotoSequence`
`static final AttributeTag`
`ReferencedPatientSequence`
`static final AttributeTag`
`ReferencedPerformedProcedureStepSequence`
`static final AttributeTag`
`ReferencedPerformedProtocolSequence`
`static final AttributeTag`
`ReferencedRealWorldValueMappingInstanceSequence`
`static final AttributeTag`
`ReferencedRelatedGeneralSOPClassUIDInFile`
`static final AttributeTag`
`ReferencedRequestSequence`
`static final AttributeTag`
`ReferencedSamplePositions`
`static final AttributeTag`
`ReferencedSegmentNumber`
`static final AttributeTag`
`ReferencedSeriesSequence`
`static final AttributeTag`
`ReferencedSOPClassUID`
`static final AttributeTag`
`ReferencedSOPClassUIDInFile`
`static final AttributeTag`
`ReferencedSOPInstanceUID`
`static final AttributeTag`
`ReferencedSOPInstanceUIDInFile`
`static final AttributeTag`
`ReferencedSOPSequence`
`static final AttributeTag`
`ReferencedStudySequence`
`static final AttributeTag`
`ReferencedTimeOffsets`
`static final AttributeTag`
`ReferencedTransferSyntaxUIDInFile`
`static final AttributeTag`
`ReferencedWaveformChannels`
`static final AttributeTag`
`ReferringPhysicianIdentificationSequence`
`static final AttributeTag`
`ReferringPhysicianName`
`static final AttributeTag`
`ReflectedAmbientLight`
`static final AttributeTag`
`RelatedGeneralSOPClassUID`
`static final AttributeTag`
`RelatedSeriesSequence`
`static final AttributeTag`
`RelationshipType`
`static final AttributeTag`
`RelevantInformationSequence`
`static final AttributeTag`
`RepetitionTime`
`static final AttributeTag`
`RequestAttributesSequence`
`static final AttributeTag`
`RequestedProcedureCodeSequence`
`static final AttributeTag`
`RequestedProcedureDescription`
`static final AttributeTag`
`RequestedProcedureID`
`static final AttributeTag`
`RequestedSOPClassUID`
`static final AttributeTag`
`RequestedSOPInstanceUID`
`static final AttributeTag`
`RequestingServiceCodeSequence`
`static final AttributeTag`
`RescaleIntercept`
`static final AttributeTag`
`RescaleSlope`
`static final AttributeTag`
`RescaleType`
`static final AttributeTag`
`ResonantNucleus`
`static final AttributeTag`
`ResponsibleOrganization`
`static final AttributeTag`
`ResponsiblePerson`
`static final AttributeTag`
`ResponsiblePersonRole`
`static final AttributeTag`
`RetrieveAETitle`
`static final AttributeTag`
`ROIArea`
`static final AttributeTag`
`ROIMean`
`static final AttributeTag`
`ROIStandardDeviation`
`static final AttributeTag`
`RotationOfScannedFilm`
`static final AttributeTag`
`RowPositionInTotalImagePixelMatrix`
`static final AttributeTag`
`Rows`
`static final AttributeTag`
`RTPlanDate`
`static final AttributeTag`
`RTPlanLabel`
`static final AttributeTag`
`RTPlanName`
`static final AttributeTag`
`RTPlanTime`
`static final AttributeTag`
`SamplesPerPixel`
`static final AttributeTag`
`SamplingFrequency`
`static final AttributeTag`
`SecondaryCaptureDeviceID`
`static final AttributeTag`
`SecondaryCaptureDeviceManufacturer`
`static final AttributeTag`
`SecondaryCaptureDeviceManufacturerModelName`
`static final AttributeTag`
`SecondaryCaptureDeviceSoftwareVersions`
`static final AttributeTag`
`SegmentAlgorithmType`
`static final AttributeTag`
`SegmentationFractionalType`
`static final AttributeTag`
`SegmentationType`
`static final AttributeTag`
`SegmentedPropertyCategoryCodeSequence`
`static final AttributeTag`
`SegmentedPropertyTypeCodeSequence`
`static final AttributeTag`
`SegmentedPropertyTypeModifierCodeSequence`
`static final AttributeTag`
`SegmentIdentificationSequence`
`static final AttributeTag`
`SegmentLabel`
`static final AttributeTag`
`SegmentNumber`
`static final AttributeTag`
`SegmentSequence`
`static final AttributeTag`
`SequenceDelimitationItem`
`static final AttributeTag`
`SeriesDate`
`static final AttributeTag`
`SeriesDescription`
`static final AttributeTag`
`SeriesDescriptionCodeSequence`
`static final AttributeTag`
`SeriesInstanceUID`
`static final AttributeTag`
`SeriesNumber`
`static final AttributeTag`
`SeriesTime`
`static final AttributeTag`
`ServiceEpisodeDescription`
`static final AttributeTag`
`ServiceEpisodeID`
`static final AttributeTag`
`SharedFunctionalGroupsSequence`
`static final AttributeTag`
`ShutterLeftVerticalEdge`
`static final AttributeTag`
`ShutterLowerHorizontalEdge`
`static final AttributeTag`
`ShutterRightVerticalEdge`
`static final AttributeTag`
`ShutterShape`
`static final AttributeTag`
`ShutterUpperHorizontalEdge`
`static final AttributeTag`
`SlabOrientation`
`static final AttributeTag`
`SlabThickness`
`static final AttributeTag`
`SliceLocation`
`static final AttributeTag`
`SliceThickness`
`static final AttributeTag`
`SmallestImagePixelValue`
`static final AttributeTag`
`SmokingStatus`
`static final AttributeTag`
`SoftwareVersions`
`static final AttributeTag`
`SOPAuthorizationComment`
`static final AttributeTag`
`SOPAuthorizationDateTime`
`static final AttributeTag`
`SOPClassesInStudy`
`static final AttributeTag`
`SOPClassesSupported`
`static final AttributeTag`
`SOPClassUID`
`static final AttributeTag`
`SOPInstanceStatus`
`static final AttributeTag`
`SOPInstanceUID`
`static final AttributeTag`
`SOPInstanceUIDOfConcatenationSource`
`static final AttributeTag`
`SourceApplicationEntityTitle`
`static final AttributeTag`
`SourceImageSequence`
`static final AttributeTag`
`SourceOfPreviousValues`
`static final AttributeTag`
`SourcePatientGroupIdentificationSequence`
`static final AttributeTag`
`SpacingBetweenSlices`
`static final AttributeTag`
`SpatialLocationsPreserved`
`static final AttributeTag`
`SpatialResolution`
`static final AttributeTag`
`SpecificCharacterSet`
`static final AttributeTag`
`SpecimenDescriptionSequence`
`static final AttributeTag`
`SpecimenDetailedDescription`
`static final AttributeTag`
`SpecimenIdentifier`
`static final AttributeTag`
`SpecimenShortDescription`
`static final AttributeTag`
`SpecimenUID`
`static final AttributeTag`
`SpectroscopyData`
`static final AttributeTag`
`StackID`
`static final AttributeTag`
`StationName`
`static final AttributeTag`
`Status`
`static final AttributeTag`
`StrainAdditionalInformation`
`static final AttributeTag`
`StrainCodeSequence`
`static final AttributeTag`
`StrainDescription`
`static final AttributeTag`
`StrainNomenclature`
`static final AttributeTag`
`StrainStockSequence`
`static final AttributeTag`
`StructureSetDate`
`static final AttributeTag`
`StructureSetLabel`
`static final AttributeTag`
`StructureSetTime`
`static final AttributeTag`
`StudyDate`
`static final AttributeTag`
`StudyDescription`
`static final AttributeTag`
`StudyID`
`static final AttributeTag`
`StudyIDIssuer`
`static final AttributeTag`
`StudyInstanceUID`
`static final AttributeTag`
`StudyTime`
`static final AttributeTag`
`SynchronizationFrameOfReferenceUID`
`static final AttributeTag`
`SynchronizationTrigger`
`static final AttributeTag`
`TableHeight`
`static final AttributeTag`
`TableOfYBreakPoints`
`static final AttributeTag`
`TablePosition`
`static final AttributeTag`
`TemplateIdentifier`
`static final AttributeTag`
`TemporalPositionIndex`
`static final AttributeTag`
`TemporalRangeType`
`static final AttributeTag`
`TextValue`
`static final AttributeTag`
`Time`
`static final AttributeTag`
`TimeOfLastCalibration`
`static final AttributeTag`
`TimeOfSecondaryCapture`
`static final AttributeTag`
`TimezoneOffsetFromUTC`
`static final AttributeTag`
`TomoAngle`
`static final AttributeTag`
`TotalPixelMatrixColumns`
`static final AttributeTag`
`TotalPixelMatrixOriginSequence`
`static final AttributeTag`
`TotalPixelMatrixRows`
`static final AttributeTag`
`TrackingID`
`static final AttributeTag`
`TrackingUID`
`static final AttributeTag`
`TransferSyntaxUID`
`static final AttributeTag`
`TreatmentDate`
`static final AttributeTag`
`TreatmentTime`
`static final AttributeTag`
`TriggerTime`
`static final AttributeTag`
`TypeOfPatientID`
`static final AttributeTag`
`UDISequence`
`static final AttributeTag`
`UID`
`static final AttributeTag`
`UnassignedPerFrameConvertedAttributesSequence`
`static final AttributeTag`
`UnassignedSharedConvertedAttributesSequence`
`static final AttributeTag`
`Units`
`static final AttributeTag`
`ValueType`
`static final AttributeTag`
`VerificationDateTime`
`static final AttributeTag`
`VerificationFlag`
`static final AttributeTag`
`VerticesOfThePolygonalShutter`
`static final AttributeTag`
`VideoImageFormatAcquired`
`static final AttributeTag`
`ViewCodeSequence`
`static final AttributeTag`
`ViewModifierCodeSequence`
`static final AttributeTag`
`ViewPosition`
`static final AttributeTag`
`VOILUTFunction`
`static final AttributeTag`
`VOILUTSequence`
`static final AttributeTag`
`VolumeBasedCalculationTechnique`
`static final AttributeTag`
`VolumeLocalizationSequence`
`static final AttributeTag`
`VolumetricProperties`
`static final AttributeTag`
`WaveformBitsAllocated`
`static final AttributeTag`
`WaveformBitsStored`
`static final AttributeTag`
`WaveformChannelNumber`
`static final AttributeTag`
`WaveformData`
`static final AttributeTag`
`WaveformSequence`
`static final AttributeTag`
`WholeSlideMicroscopyImageFrameTypeSequence`
`static final AttributeTag`
`WindowCenter`
`static final AttributeTag`
`WindowCenterWidthExplanation`
`static final AttributeTag`
`WindowWidth`
`static final AttributeTag`
`XOffsetInSlideCoordinateSystem`
`static final AttributeTag`
`XRay3DAcquisitionSequence`
`static final AttributeTag`
`XRay3DFrameTypeSequence`
`static final AttributeTag`
`YOffsetInSlideCoordinateSystem`
`static final AttributeTag`
`ZOffsetInSlideCoordinateSystem`

## Constructor Summary

Constructors
Constructor
Description
`TagFromName()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### AccessionNumber

public static final AttributeTag AccessionNumber

### AcquisitionContextSequence

public static final AttributeTag AcquisitionContextSequence

### AcquisitionContrast

public static final AttributeTag AcquisitionContrast

### AcquisitionDate

public static final AttributeTag AcquisitionDate

### AcquisitionDateTime

public static final AttributeTag AcquisitionDateTime

### AcquisitionDuration

public static final AttributeTag AcquisitionDuration

### AcquisitionNumber

public static final AttributeTag AcquisitionNumber

### AcquisitionTime

public static final AttributeTag AcquisitionTime

### AcquisitionTimeSynchronized

public static final AttributeTag AcquisitionTimeSynchronized

### AcquisitionType

public static final AttributeTag AcquisitionType

### AcquisitionUID

public static final AttributeTag AcquisitionUID

### ActualFrameDuration

public static final AttributeTag ActualFrameDuration

### AdditionalPatientHistory

public static final AttributeTag AdditionalPatientHistory

### AdmissionID

public static final AttributeTag AdmissionID

### AdmittingDiagnosesCodeSequence

public static final AttributeTag AdmittingDiagnosesCodeSequence

### AdmittingDiagnosesDescription

public static final AttributeTag AdmittingDiagnosesDescription

### AffectedSOPClassUID

public static final AttributeTag AffectedSOPClassUID

### AffectedSOPInstanceUID

public static final AttributeTag AffectedSOPInstanceUID

### Allergies

public static final AttributeTag Allergies

### AlternateContentDescriptionSequence

public static final AttributeTag AlternateContentDescriptionSequence

### AlternateRepresentationSequence

public static final AttributeTag AlternateRepresentationSequence

### AnatomicRegionModifierSequence

public static final AttributeTag AnatomicRegionModifierSequence

### AnatomicRegionSequence

public static final AttributeTag AnatomicRegionSequence

### AnatomicalOrientationType

public static final AttributeTag AnatomicalOrientationType

### AttributeModificationDateTime

public static final AttributeTag AttributeModificationDateTime

### AuthorizationEquipmentCertificationNumber

public static final AttributeTag AuthorizationEquipmentCertificationNumber

### BarcodeValue

public static final AttributeTag BarcodeValue

### BitsAllocated

public static final AttributeTag BitsAllocated

### BitsStored

public static final AttributeTag BitsStored

### BlendingSequence

public static final AttributeTag BlendingSequence

### BlockData

public static final AttributeTag BlockData

### BluePaletteColorLookupTableData

public static final AttributeTag BluePaletteColorLookupTableData

### BluePaletteColorLookupTableDescriptor

public static final AttributeTag BluePaletteColorLookupTableDescriptor

### BodyPartExamined

public static final AttributeTag BodyPartExamined

### BodyPartThickness

public static final AttributeTag BodyPartThickness

### BreedRegistrationSequence

public static final AttributeTag BreedRegistrationSequence

### BurnedInAnnotation

public static final AttributeTag BurnedInAnnotation

### CTAcquisitionTypeSequence

public static final AttributeTag CTAcquisitionTypeSequence

### CTExposureSequence

public static final AttributeTag CTExposureSequence

### CTImageFrameTypeSequence

public static final AttributeTag CTImageFrameTypeSequence

### CTPositionSequence

public static final AttributeTag CTPositionSequence

### CTReconstructionSequence

public static final AttributeTag CTReconstructionSequence

### CTTableDynamicsSequence

public static final AttributeTag CTTableDynamicsSequence

### CTXRayDetailsSequence

public static final AttributeTag CTXRayDetailsSequence

### CalibrationImage

public static final AttributeTag CalibrationImage

### CenterOfCircularShutter

public static final AttributeTag CenterOfCircularShutter

### ChannelDefinitionSequence

public static final AttributeTag ChannelDefinitionSequence

### ChannelLabel

public static final AttributeTag ChannelLabel

### ChannelSensitivity

public static final AttributeTag ChannelSensitivity

### ChannelSensitivityCorrectionFactor

public static final AttributeTag ChannelSensitivityCorrectionFactor

### ChannelSensitivityUnitsSequence

public static final AttributeTag ChannelSensitivityUnitsSequence

### ChannelSourceSequence

public static final AttributeTag ChannelSourceSequence

### ClinicalTrialCoordinatingCenterName

public static final AttributeTag ClinicalTrialCoordinatingCenterName

### ClinicalTrialProtocolEthicsCommitteeApprovalNumber

public static final AttributeTag ClinicalTrialProtocolEthicsCommitteeApprovalNumber

### ClinicalTrialProtocolEthicsCommitteeName

public static final AttributeTag ClinicalTrialProtocolEthicsCommitteeName

### ClinicalTrialProtocolID

public static final AttributeTag ClinicalTrialProtocolID

### ClinicalTrialProtocolName

public static final AttributeTag ClinicalTrialProtocolName

### ClinicalTrialSeriesDescription

public static final AttributeTag ClinicalTrialSeriesDescription

### ClinicalTrialSeriesID

public static final AttributeTag ClinicalTrialSeriesID

### ClinicalTrialSiteID

public static final AttributeTag ClinicalTrialSiteID

### ClinicalTrialSiteName

public static final AttributeTag ClinicalTrialSiteName

### ClinicalTrialSponsorName

public static final AttributeTag ClinicalTrialSponsorName

### ClinicalTrialSubjectID

public static final AttributeTag ClinicalTrialSubjectID

### ClinicalTrialSubjectReadingID

public static final AttributeTag ClinicalTrialSubjectReadingID

### ClinicalTrialTimePointDescription

public static final AttributeTag ClinicalTrialTimePointDescription

### ClinicalTrialTimePointID

public static final AttributeTag ClinicalTrialTimePointID

### CodeMeaning

public static final AttributeTag CodeMeaning

### CodeValue

public static final AttributeTag CodeValue

### CodingSchemeDesignator

public static final AttributeTag CodingSchemeDesignator

### CodingSchemeIdentificationSequence

public static final AttributeTag CodingSchemeIdentificationSequence

### CodingSchemeName

public static final AttributeTag CodingSchemeName

### CodingSchemeRegistry

public static final AttributeTag CodingSchemeRegistry

### CodingSchemeResponsibleOrganization

public static final AttributeTag CodingSchemeResponsibleOrganization

### CodingSchemeUID

public static final AttributeTag CodingSchemeUID

### CodingSchemeVersion

public static final AttributeTag CodingSchemeVersion

### ColumnPositionInTotalImagePixelMatrix

public static final AttributeTag ColumnPositionInTotalImagePixelMatrix

### Columns

public static final AttributeTag Columns

### CommandDataSetType

public static final AttributeTag CommandDataSetType

### CommandField

public static final AttributeTag CommandField

### CommandLengthToEnd

public static final AttributeTag CommandLengthToEnd

### CommentsOnThePerformedProcedureStep

public static final AttributeTag CommentsOnThePerformedProcedureStep

### CompensatorThicknessData

public static final AttributeTag CompensatorThicknessData

### CompensatorTransmissionData

public static final AttributeTag CompensatorTransmissionData

### CompletionFlag

public static final AttributeTag CompletionFlag

### ComplexImageComponent

public static final AttributeTag ComplexImageComponent

### ConcatenationFrameOffsetNumber

public static final AttributeTag ConcatenationFrameOffsetNumber

### ConcatenationUID

public static final AttributeTag ConcatenationUID

### ConceptCodeSequence

public static final AttributeTag ConceptCodeSequence

### ConceptNameCodeSequence

public static final AttributeTag ConceptNameCodeSequence

### ConsentForClinicalTrialUseSequence

public static final AttributeTag ConsentForClinicalTrialUseSequence

### ConsultingPhysicianName

public static final AttributeTag ConsultingPhysicianName

### ConsultingPhysicianIdentificationSequence

public static final AttributeTag ConsultingPhysicianIdentificationSequence

### ContainerIdentifier

public static final AttributeTag ContainerIdentifier

### ContentCreatorIdentificationCodeSequence

public static final AttributeTag ContentCreatorIdentificationCodeSequence

### ContentCreatorName

public static final AttributeTag ContentCreatorName

### ContentDate

public static final AttributeTag ContentDate

### ContentDescription

public static final AttributeTag ContentDescription

### ContentItemModifierSequence

public static final AttributeTag ContentItemModifierSequence

### ContentLabel

public static final AttributeTag ContentLabel

### ContentQualification

public static final AttributeTag ContentQualification

### ContentSequence

public static final AttributeTag ContentSequence

### ContentTemplateSequence

public static final AttributeTag ContentTemplateSequence

### ContentTime

public static final AttributeTag ContentTime

### ContextGroupExtensionCreatorUID

public static final AttributeTag ContextGroupExtensionCreatorUID

### ContextGroupIdentificationSequence

public static final AttributeTag ContextGroupIdentificationSequence

### ContinuityOfContent

public static final AttributeTag ContinuityOfContent

### ContourData

public static final AttributeTag ContourData

### ContrastBolusAdministrationRouteSequence

public static final AttributeTag ContrastBolusAdministrationRouteSequence

### ContrastBolusAgent

public static final AttributeTag ContrastBolusAgent

### ContrastBolusAgentPhase

public static final AttributeTag ContrastBolusAgentPhase

### ContrastBolusAgentSequence

public static final AttributeTag ContrastBolusAgentSequence

### ContrastBolusIngredient

public static final AttributeTag ContrastBolusIngredient

### ContrastBolusIngredientConcentration

public static final AttributeTag ContrastBolusIngredientConcentration

### ContrastBolusRoute

public static final AttributeTag ContrastBolusRoute

### ContrastBolusStartTime

public static final AttributeTag ContrastBolusStartTime

### ContrastBolusStopTime

public static final AttributeTag ContrastBolusStopTime

### ContrastBolusTotalDose

public static final AttributeTag ContrastBolusTotalDose

### ContrastBolusUsageSequence

public static final AttributeTag ContrastBolusUsageSequence

### ContrastBolusVolume

public static final AttributeTag ContrastBolusVolume

### ContrastFlowDuration

public static final AttributeTag ContrastFlowDuration

### ContrastFlowRate

public static final AttributeTag ContrastFlowRate

### ContributingEquipmentSequence

public static final AttributeTag ContributingEquipmentSequence

### ContributionDescription

public static final AttributeTag ContributionDescription

### ConversionSourceAttributesSequence

public static final AttributeTag ConversionSourceAttributesSequence

### ConversionType

public static final AttributeTag ConversionType

### ConvolutionKernel

public static final AttributeTag ConvolutionKernel

### CorrectedImage

public static final AttributeTag CorrectedImage

### CreatorVersionUID

public static final AttributeTag CreatorVersionUID

### CurrentRequestedProcedureEvidenceSequence

public static final AttributeTag CurrentRequestedProcedureEvidenceSequence

### DVHData

public static final AttributeTag DVHData

### DataPointColumns

public static final AttributeTag DataPointColumns

### DataPointRows

public static final AttributeTag DataPointRows

### DataRepresentation

public static final AttributeTag DataRepresentation

### DataSetTrailingPadding

public static final AttributeTag DataSetTrailingPadding

### Date

public static final AttributeTag Date

### DateOfLastCalibration

public static final AttributeTag DateOfLastCalibration

### DateOfSecondaryCapture

public static final AttributeTag DateOfSecondaryCapture

### DateTime

public static final AttributeTag DateTime

### DecayCorrection

public static final AttributeTag DecayCorrection

### DeidentificationMethod

public static final AttributeTag DeidentificationMethod

### DeidentificationMethodCodeSequence

public static final AttributeTag DeidentificationMethodCodeSequence

### DerivationCodeSequence

public static final AttributeTag DerivationCodeSequence

### DerivationDescription

public static final AttributeTag DerivationDescription

### DerivationImageSequence

public static final AttributeTag DerivationImageSequence

### DeviceSerialNumber

public static final AttributeTag DeviceSerialNumber

### DeviceUID

public static final AttributeTag DeviceUID

### DigitalImageFormatAcquired

public static final AttributeTag DigitalImageFormatAcquired

### DigitizingDeviceTransportDirection

public static final AttributeTag DigitizingDeviceTransportDirection

### DimensionDescriptionLabel

public static final AttributeTag DimensionDescriptionLabel

### DimensionIndexPointer

public static final AttributeTag DimensionIndexPointer

### DimensionIndexSequence

public static final AttributeTag DimensionIndexSequence

### DimensionIndexValues

public static final AttributeTag DimensionIndexValues

### DimensionOrganizationSequence

public static final AttributeTag DimensionOrganizationSequence

### DimensionOrganizationType

public static final AttributeTag DimensionOrganizationType

### DimensionOrganizationUID

public static final AttributeTag DimensionOrganizationUID

### DirectoryRecordSequence

public static final AttributeTag DirectoryRecordSequence

### DirectoryRecordType

public static final AttributeTag DirectoryRecordType

### DistanceSourceToDetector

public static final AttributeTag DistanceSourceToDetector

### DistanceSourceToPatient

public static final AttributeTag DistanceSourceToPatient

### DocumentClassCodeSequence

public static final AttributeTag DocumentClassCodeSequence

### DocumentTitle

public static final AttributeTag DocumentTitle

### DoseComment

public static final AttributeTag DoseComment

### DoseSummationType

public static final AttributeTag DoseSummationType

### DoubleFloatPixelData

public static final AttributeTag DoubleFloatPixelData

### EchoNumbers

public static final AttributeTag EchoNumbers

### EchoTime

public static final AttributeTag EchoTime

### EchoTrainLength

public static final AttributeTag EchoTrainLength

### EncapsulatedDocument

public static final AttributeTag EncapsulatedDocument

### EncapsulatedDocumentLength

public static final AttributeTag EncapsulatedDocumentLength

### EncryptedAttributesSequence

public static final AttributeTag EncryptedAttributesSequence

### EncryptedContentTransferSyntaxUID

public static final AttributeTag EncryptedContentTransferSyntaxUID

### EndMessageID

public static final AttributeTag EndMessageID

### EquipmentFrameOfReferenceUID

public static final AttributeTag EquipmentFrameOfReferenceUID

### ErrorComment

public static final AttributeTag ErrorComment

### EstimatedRadiographicMagnificationFactor

public static final AttributeTag EstimatedRadiographicMagnificationFactor

### EthnicGroup

public static final AttributeTag EthnicGroup

### FiducialUID

public static final AttributeTag FiducialUID

### FieldOfViewDimensionsInFloat

public static final AttributeTag FieldOfViewDimensionsInFloat

### FieldOfViewHorizontalFlip

public static final AttributeTag FieldOfViewHorizontalFlip

### FieldOfViewOrigin

public static final AttributeTag FieldOfViewOrigin

### FieldOfViewRotation

public static final AttributeTag FieldOfViewRotation

### FieldOfViewShape

public static final AttributeTag FieldOfViewShape

### FileMetaInformationGroupLength

public static final AttributeTag FileMetaInformationGroupLength

### FileMetaInformationVersion

public static final AttributeTag FileMetaInformationVersion

### FileSetConsistencyFlag

public static final AttributeTag FileSetConsistencyFlag

### FileSetID

public static final AttributeTag FileSetID

### FillerOrderNumberImagingServiceRequest

public static final AttributeTag FillerOrderNumberImagingServiceRequest

### FloatPixelData

public static final AttributeTag FloatPixelData

### FloatingPointValue

public static final AttributeTag FloatingPointValue

### FrameAcquisitionDateTime

public static final AttributeTag FrameAcquisitionDateTime

### FrameAcquisitionDuration

public static final AttributeTag FrameAcquisitionDuration

### FrameAcquisitionNumber

public static final AttributeTag FrameAcquisitionNumber

### FrameAnatomySequence

public static final AttributeTag FrameAnatomySequence

### FrameComments

public static final AttributeTag FrameComments

### FrameContentSequence

public static final AttributeTag FrameContentSequence

### FrameIncrementPointer

public static final AttributeTag FrameIncrementPointer

### FrameLaterality

public static final AttributeTag FrameLaterality

### FrameOfReferenceUID

public static final AttributeTag FrameOfReferenceUID

### FrameReferenceDateTime

public static final AttributeTag FrameReferenceDateTime

### FrameReferenceTime

public static final AttributeTag FrameReferenceTime

### FrameTime

public static final AttributeTag FrameTime

### FrameType

public static final AttributeTag FrameType

### FrameVOILUTSequence

public static final AttributeTag FrameVOILUTSequence

### FunctionalGroupPointer

public static final AttributeTag FunctionalGroupPointer

### GantryID

public static final AttributeTag GantryID

### GeneticModificationsSequence

public static final AttributeTag GeneticModificationsSequence

### GraphicAnnotationSequence

public static final AttributeTag GraphicAnnotationSequence

### GraphicData

public static final AttributeTag GraphicData

### GraphicType

public static final AttributeTag GraphicType

### GreenPaletteColorLookupTableData

public static final AttributeTag GreenPaletteColorLookupTableData

### GreenPaletteColorLookupTableDescriptor

public static final AttributeTag GreenPaletteColorLookupTableDescriptor

### GroupOfPatientsIdentificationSequence

public static final AttributeTag GroupOfPatientsIdentificationSequence

### HL7DocumentTypeCodeSequence

public static final AttributeTag HL7DocumentTypeCodeSequence

### HL7InstanceIdentifier

public static final AttributeTag HL7InstanceIdentifier

### HL7StructuredDocumentReferenceSequence

public static final AttributeTag HL7StructuredDocumentReferenceSequence

### HighBit

public static final AttributeTag HighBit

### HistogramData

public static final AttributeTag HistogramData

### ICCProfile

public static final AttributeTag ICCProfile

### IconImageSequence

public static final AttributeTag IconImageSequence

### Illumination

public static final AttributeTag Illumination

### ImageComments

public static final AttributeTag ImageComments

### ImageFrameOrigin

public static final AttributeTag ImageFrameOrigin

### ImageLaterality

public static final AttributeTag ImageLaterality

### ImageOrientationPatient

public static final AttributeTag ImageOrientationPatient

### ImageOrientationSlide

public static final AttributeTag ImageOrientationSlide

### ImagePositionPatient

public static final AttributeTag ImagePositionPatient

### ImageType

public static final AttributeTag ImageType

### ImagedNucleus

public static final AttributeTag ImagedNucleus

### ImagerPixelSpacing

public static final AttributeTag ImagerPixelSpacing

### ImplementationClassUID

public static final AttributeTag ImplementationClassUID

### ImplementationVersionName

public static final AttributeTag ImplementationVersionName

### InConcatenationNumber

public static final AttributeTag InConcatenationNumber

### InConcatenationTotalNumber

public static final AttributeTag InConcatenationTotalNumber

### InStackPositionNumber

public static final AttributeTag InStackPositionNumber

### InstanceCoercionDateTime

public static final AttributeTag InstanceCoercionDateTime

### InstanceCreationDate

public static final AttributeTag InstanceCreationDate

### InstanceCreationTime

public static final AttributeTag InstanceCreationTime

### InstanceCreatorUID

public static final AttributeTag InstanceCreatorUID

### InstanceNumber

public static final AttributeTag InstanceNumber

### InstanceOriginStatus

public static final AttributeTag InstanceOriginStatus

### InstitutionAddress

public static final AttributeTag InstitutionAddress

### InstitutionCodeSequence

public static final AttributeTag InstitutionCodeSequence

### InstitutionName

public static final AttributeTag InstitutionName

### InstitutionalDepartmentName

public static final AttributeTag InstitutionalDepartmentName

### InterpretationAuthor

public static final AttributeTag InterpretationAuthor

### IrradiationEventUID

public static final AttributeTag IrradiationEventUID

### IssuerOfAccessionNumberSequence

public static final AttributeTag IssuerOfAccessionNumberSequence

### IssuerOfAdmissionID

public static final AttributeTag IssuerOfAdmissionID

### IssuerOfAdmissionIDSequence

public static final AttributeTag IssuerOfAdmissionIDSequence

### IssuerOfPatientID

public static final AttributeTag IssuerOfPatientID

### IssuerOfPatientIDQualifiersSequence

public static final AttributeTag IssuerOfPatientIDQualifiersSequence

### IssuerOfServiceEpisodeID

public static final AttributeTag IssuerOfServiceEpisodeID

### IssuerOfServiceEpisodeIDSequence

public static final AttributeTag IssuerOfServiceEpisodeIDSequence

### Item

public static final AttributeTag Item

### ItemDelimitationItem

public static final AttributeTag ItemDelimitationItem

### LastMenstrualDate

public static final AttributeTag LastMenstrualDate

### LUTData

public static final AttributeTag LUTData

### LUTDescriptor

public static final AttributeTag LUTDescriptor

### LUTExplanation

public static final AttributeTag LUTExplanation

### LUTLabel

public static final AttributeTag LUTLabel

### LanguageCodeSequence

public static final AttributeTag LanguageCodeSequence

### LargestImagePixelValue

public static final AttributeTag LargestImagePixelValue

### LargestMonochromePixelValue

public static final AttributeTag LargestMonochromePixelValue

### Laterality

public static final AttributeTag Laterality

### LengthToEnd

public static final AttributeTag LengthToEnd

### LongitudinalTemporalInformationModified

public static final AttributeTag LongitudinalTemporalInformationModified

### LongitudinalTemporalOffsetFromEvent

public static final AttributeTag LongitudinalTemporalOffsetFromEvent

### LongitudinalTemporalEventType

public static final AttributeTag LongitudinalTemporalEventType

### LongPrimitivePointIndexList

public static final AttributeTag LongPrimitivePointIndexList

### LossyImageCompression

public static final AttributeTag LossyImageCompression

### LossyImageCompressionMethod

public static final AttributeTag LossyImageCompressionMethod

### LossyImageCompressionRatio

public static final AttributeTag LossyImageCompressionRatio

### MACCalculationTransferSyntaxUID

public static final AttributeTag MACCalculationTransferSyntaxUID

### MappingResourceIdentificationSequence

public static final AttributeTag MappingResourceIdentificationSequence

### MIMETypeOfEncapsulatedDocument

public static final AttributeTag MIMETypeOfEncapsulatedDocument

### MRAcquisitionType

public static final AttributeTag MRAcquisitionType

### MRAveragesSequence

public static final AttributeTag MRAveragesSequence

### MRDiffusionSequence

public static final AttributeTag MRDiffusionSequence

### MREchoSequence

public static final AttributeTag MREchoSequence

### MRImageFrameTypeSequence

public static final AttributeTag MRImageFrameTypeSequence

### MRModifierSequence

public static final AttributeTag MRModifierSequence

### MRTimingAndRelatedParametersSequence

public static final AttributeTag MRTimingAndRelatedParametersSequence

### Manufacturer

public static final AttributeTag Manufacturer

### ManufacturerDeviceClassUID

public static final AttributeTag ManufacturerDeviceClassUID

### ManufacturerModelName

public static final AttributeTag ManufacturerModelName

### MappingResource

public static final AttributeTag MappingResource

### MaximumFractionalValue

public static final AttributeTag MaximumFractionalValue

### MeasuredAPDimension

public static final AttributeTag MeasuredAPDimension

### MeasuredLateralDimension

public static final AttributeTag MeasuredLateralDimension

### MeasuredValueSequence

public static final AttributeTag MeasuredValueSequence

### MeasurementLaterality

public static final AttributeTag MeasurementLaterality

### MeasurementUnitsCodeSequence

public static final AttributeTag MeasurementUnitsCodeSequence

### MeasuringUnitsSequence

public static final AttributeTag MeasuringUnitsSequence

### MediaStorageSOPClassUID

public static final AttributeTag MediaStorageSOPClassUID

### MediaStorageSOPInstanceUID

public static final AttributeTag MediaStorageSOPInstanceUID

### MedicalAlerts

public static final AttributeTag MedicalAlerts

### MessageID

public static final AttributeTag MessageID

### MessageIDBeingRespondedTo

public static final AttributeTag MessageIDBeingRespondedTo

### MidSlabPosition

public static final AttributeTag MidSlabPosition

### ModalitiesInStudy

public static final AttributeTag ModalitiesInStudy

### Modality

public static final AttributeTag Modality

### ModifiedAttributesSequence

public static final AttributeTag ModifiedAttributesSequence

### ModifyingSystem

public static final AttributeTag ModifyingSystem

### MoveDestination

public static final AttributeTag MoveDestination

### MoveOriginatorApplicationEntityTitle

public static final AttributeTag MoveOriginatorApplicationEntityTitle

### MoveOriginatorMessageID

public static final AttributeTag MoveOriginatorMessageID

### NameOfPhysiciansReadingStudy

public static final AttributeTag NameOfPhysiciansReadingStudy

### NominalScannedPixelSpacing

public static final AttributeTag NominalScannedPixelSpacing

### NumberOfCompletedSuboperations

public static final AttributeTag NumberOfCompletedSuboperations

### NumberOfFailedSuboperations

public static final AttributeTag NumberOfFailedSuboperations

### NumberOfFrames

public static final AttributeTag NumberOfFrames

### NumberOfFramesInOverlay

public static final AttributeTag NumberOfFramesInOverlay

### NumberOfPatientRelatedStudies

public static final AttributeTag NumberOfPatientRelatedStudies

### NumberOfRemainingSuboperations

public static final AttributeTag NumberOfRemainingSuboperations

### NumberOfSeriesRelatedInstances

public static final AttributeTag NumberOfSeriesRelatedInstances

### NumberOfStudyRelatedInstances

public static final AttributeTag NumberOfStudyRelatedInstances

### NumberOfStudyRelatedSeries

public static final AttributeTag NumberOfStudyRelatedSeries

### NumberOfWarningSuboperations

public static final AttributeTag NumberOfWarningSuboperations

### NumberOfWaveformChannels

public static final AttributeTag NumberOfWaveformChannels

### NumberOfWaveformSamples

public static final AttributeTag NumberOfWaveformSamples

### NumericValue

public static final AttributeTag NumericValue

### NumericValueQualifierCodeSequence

public static final AttributeTag NumericValueQualifierCodeSequence

### ObservationDateTime

public static final AttributeTag ObservationDateTime

### ObservationUID

public static final AttributeTag ObservationUID

### Occupation

public static final AttributeTag Occupation

### OffendingElement

public static final AttributeTag OffendingElement

### OffsetOfReferencedLowerLevelDirectoryEntity

public static final AttributeTag OffsetOfReferencedLowerLevelDirectoryEntity

### OffsetOfTheFirstDirectoryRecordOfTheRootDirectoryEntity

public static final AttributeTag OffsetOfTheFirstDirectoryRecordOfTheRootDirectoryEntity

### OffsetOfTheLastDirectoryRecordOfTheRootDirectoryEntity

public static final AttributeTag OffsetOfTheLastDirectoryRecordOfTheRootDirectoryEntity

### OffsetOfTheNextDirectoryRecord

public static final AttributeTag OffsetOfTheNextDirectoryRecord

### OperatorIdentificationSequence

public static final AttributeTag OperatorIdentificationSequence

### OperatorsName

public static final AttributeTag OperatorsName

### OpticalPathSequence

public static final AttributeTag OpticalPathSequence

### OrderFillerIdentifierSequence

public static final AttributeTag OrderFillerIdentifierSequence

### OrderPlacerIdentifierSequence

public static final AttributeTag OrderPlacerIdentifierSequence

### OriginalAttributesSequence

public static final AttributeTag OriginalAttributesSequence

### OriginalSpecializedSOPClassUID

public static final AttributeTag OriginalSpecializedSOPClassUID

### OtherPatientIDs

public static final AttributeTag OtherPatientIDs

### OtherPatientIDsSequence

public static final AttributeTag OtherPatientIDsSequence

### OtherPatientNames

public static final AttributeTag OtherPatientNames

### OtherStudyNumbers

public static final AttributeTag OtherStudyNumbers

### OverlayBitPosition

public static final AttributeTag OverlayBitPosition

### OverlayBitsAllocated

public static final AttributeTag OverlayBitsAllocated

### OverlayColumns

public static final AttributeTag OverlayColumns

### OverlayData

public static final AttributeTag OverlayData

### OverlayDescription

public static final AttributeTag OverlayDescription

### OverlayLabel

public static final AttributeTag OverlayLabel

### OverlayOrigin

public static final AttributeTag OverlayOrigin

### OverlayRows

public static final AttributeTag OverlayRows

### OverlaySubtype

public static final AttributeTag OverlaySubtype

### OverlayType

public static final AttributeTag OverlayType

### PETFrameTypeSequence

public static final AttributeTag PETFrameTypeSequence

### PageNumberVector

public static final AttributeTag PageNumberVector

### PaletteColorLookupTableUID

public static final AttributeTag PaletteColorLookupTableUID

### ParametricMapFrameTypeSequence

public static final AttributeTag ParametricMapFrameTypeSequence

### PatientAge

public static final AttributeTag PatientAge

### PatientBirthDate

public static final AttributeTag PatientBirthDate

### PatientBirthTime

public static final AttributeTag PatientBirthTime

### PatientBirthDateInAlternativeCalendar

public static final AttributeTag PatientBirthDateInAlternativeCalendar

### PatientDeathDateInAlternativeCalendar

public static final AttributeTag PatientDeathDateInAlternativeCalendar

### PatientAlternativeCalendar

public static final AttributeTag PatientAlternativeCalendar

### PatientBodyMassIndex

public static final AttributeTag PatientBodyMassIndex

### PatientBreedCodeSequence

public static final AttributeTag PatientBreedCodeSequence

### PatientBreedDescription

public static final AttributeTag PatientBreedDescription

### PatientComments

public static final AttributeTag PatientComments

### PatientID

public static final AttributeTag PatientID

### PatientIdentityRemoved

public static final AttributeTag PatientIdentityRemoved

### PatientName

public static final AttributeTag PatientName

### PatientOrientation

public static final AttributeTag PatientOrientation

### PatientPosition

public static final AttributeTag PatientPosition

### PatientSex

public static final AttributeTag PatientSex

### PatientSexNeutered

public static final AttributeTag PatientSexNeutered

### PatientSize

public static final AttributeTag PatientSize

### PatientSizeCodeSequence

public static final AttributeTag PatientSizeCodeSequence

### PatientSpeciesCodeSequence

public static final AttributeTag PatientSpeciesCodeSequence

### PatientSpeciesDescription

public static final AttributeTag PatientSpeciesDescription

### PatientState

public static final AttributeTag PatientState

### PatientWeight

public static final AttributeTag PatientWeight

### PerFrameFunctionalGroupsSequence

public static final AttributeTag PerFrameFunctionalGroupsSequence

### PerformedProcedureCodeSequence

public static final AttributeTag PerformedProcedureCodeSequence

### PerformedProcedureStepDescription

public static final AttributeTag PerformedProcedureStepDescription

### PerformedProcedureStepID

public static final AttributeTag PerformedProcedureStepID

### PerformedProcedureStepStartDate

public static final AttributeTag PerformedProcedureStepStartDate

### PerformedProcedureStepStartTime

public static final AttributeTag PerformedProcedureStepStartTime

### PerformedProtocolCodeSequence

public static final AttributeTag PerformedProtocolCodeSequence

### PerformingPhysicianIdentificationSequence

public static final AttributeTag PerformingPhysicianIdentificationSequence

### PerformingPhysicianName

public static final AttributeTag PerformingPhysicianName

### PersonAddress

public static final AttributeTag PersonAddress

### PersonIdentificationCodeSequence

public static final AttributeTag PersonIdentificationCodeSequence

### PersonName

public static final AttributeTag PersonName

### PersonTelephoneNumbers

public static final AttributeTag PersonTelephoneNumbers

### PhotometricInterpretation

public static final AttributeTag PhotometricInterpretation

### PhysiciansOfRecord

public static final AttributeTag PhysiciansOfRecord

### PhysiciansOfRecordIdentificationSequence

public static final AttributeTag PhysiciansOfRecordIdentificationSequence

### PhysiciansReadingStudyIdentificationSequence

public static final AttributeTag PhysiciansReadingStudyIdentificationSequence

### PixelAspectRatio

public static final AttributeTag PixelAspectRatio

### PixelData

public static final AttributeTag PixelData

### PixelDataProviderURL

public static final AttributeTag PixelDataProviderURL

### PixelMeasuresSequence

public static final AttributeTag PixelMeasuresSequence

### PixelOriginInterpretation

public static final AttributeTag PixelOriginInterpretation

### PixelPaddingRangeLimit

public static final AttributeTag PixelPaddingRangeLimit

### PixelPaddingValue

public static final AttributeTag PixelPaddingValue

### PixelPresentation

public static final AttributeTag PixelPresentation

### PixelRepresentation

public static final AttributeTag PixelRepresentation

### PixelSpacing

public static final AttributeTag PixelSpacing

### PixelSpacingCalibrationDescription

public static final AttributeTag PixelSpacingCalibrationDescription

### PixelSpacingCalibrationType

public static final AttributeTag PixelSpacingCalibrationType

### PixelValueTransformationSequence

public static final AttributeTag PixelValueTransformationSequence

### PlacerOrderNumberImagingServiceRequest

public static final AttributeTag PlacerOrderNumberImagingServiceRequest

### PlanarConfiguration

public static final AttributeTag PlanarConfiguration

### PlaneOrientationSequence

public static final AttributeTag PlaneOrientationSequence

### PlanePositionSequence

public static final AttributeTag PlanePositionSequence

### PlanePositionSlideSequence

public static final AttributeTag PlanePositionSlideSequence

### PointCoordinatesData

public static final AttributeTag PointCoordinatesData

### PositionReferenceIndicator

public static final AttributeTag PositionReferenceIndicator

### PredecessorDocumentsSequence

public static final AttributeTag PredecessorDocumentsSequence

### PregnancyStatus

public static final AttributeTag PregnancyStatus

### PresentationCreationDate

public static final AttributeTag PresentationCreationDate

### PresentationCreationTime

public static final AttributeTag PresentationCreationTime

### PresentationIntentType

public static final AttributeTag PresentationIntentType

### PresentationLUTShape

public static final AttributeTag PresentationLUTShape

### PrimaryAnatomicStructureSequence

public static final AttributeTag PrimaryAnatomicStructureSequence

### Priority

public static final AttributeTag Priority

### PrivateDataElementCharacteristicsSequence

public static final AttributeTag PrivateDataElementCharacteristicsSequence

### PrivateInformationCreatorUID

public static final AttributeTag PrivateInformationCreatorUID

### PrivateRecordUID

public static final AttributeTag PrivateRecordUID

### ProcedureCodeSequence

public static final AttributeTag ProcedureCodeSequence

### ProtocolName

public static final AttributeTag ProtocolName

### PulseSequenceName

public static final AttributeTag PulseSequenceName

### PurposeOfReferenceCodeSequence

public static final AttributeTag PurposeOfReferenceCodeSequence

### PyramidUID

public static final AttributeTag PyramidUID

### QualityControlImage

public static final AttributeTag QualityControlImage

### QualityControlSubject

public static final AttributeTag QualityControlSubject

### QuantityDefinitionSequence

public static final AttributeTag QuantityDefinitionSequence

### QueryRetrieveLevel

public static final AttributeTag QueryRetrieveLevel

### QueryRetrieveView

public static final AttributeTag QueryRetrieveView

### ROIArea

public static final AttributeTag ROIArea

### ROIMean

public static final AttributeTag ROIMean

### ROIStandardDeviation

public static final AttributeTag ROIStandardDeviation

### RTPlanDate

public static final AttributeTag RTPlanDate

### RTPlanLabel

public static final AttributeTag RTPlanLabel

### RTPlanName

public static final AttributeTag RTPlanName

### RTPlanTime

public static final AttributeTag RTPlanTime

### RadionuclideHalfLife

public static final AttributeTag RadionuclideHalfLife

### RadionuclideTotalDose

public static final AttributeTag RadionuclideTotalDose

### RadiopharmaceuticalInformationSequence

public static final AttributeTag RadiopharmaceuticalInformationSequence

### RadiopharmaceuticalStartDateTime

public static final AttributeTag RadiopharmaceuticalStartDateTime

### RadiopharmaceuticalStartTime

public static final AttributeTag RadiopharmaceuticalStartTime

### RadiusOfCircularShutter

public static final AttributeTag RadiusOfCircularShutter

### RationalDenominatorValue

public static final AttributeTag RationalDenominatorValue

### RationalNumeratorValue

public static final AttributeTag RationalNumeratorValue

### RealWorldValueFirstValueMapped

public static final AttributeTag RealWorldValueFirstValueMapped

### RealWorldValueIntercept

public static final AttributeTag RealWorldValueIntercept

### RealWorldValueLUTData

public static final AttributeTag RealWorldValueLUTData

### RealWorldValueLastValueMapped

public static final AttributeTag RealWorldValueLastValueMapped

### RealWorldValueMappingSequence

public static final AttributeTag RealWorldValueMappingSequence

### RealWorldValueSlope

public static final AttributeTag RealWorldValueSlope

### ReasonForPerformedProcedureCodeSequence

public static final AttributeTag ReasonForPerformedProcedureCodeSequence

### ReasonForRequestedProcedureCodeSequence

public static final AttributeTag ReasonForRequestedProcedureCodeSequence

### ReasonForStudy

public static final AttributeTag ReasonForStudy

### ReasonForTheAttributeModification

public static final AttributeTag ReasonForTheAttributeModification

### ReasonForTheImagingServiceRequest

public static final AttributeTag ReasonForTheImagingServiceRequest

### ReasonForTheRequestedProcedure

public static final AttributeTag ReasonForTheRequestedProcedure

### RecognizableVisualFeatures

public static final AttributeTag RecognizableVisualFeatures

### RecommendedDisplayCIELabValue

public static final AttributeTag RecommendedDisplayCIELabValue

### RecommendedDisplayGrayscaleValue

public static final AttributeTag RecommendedDisplayGrayscaleValue

### ReconstructionDiameter

public static final AttributeTag ReconstructionDiameter

### RecordInUseFlag

public static final AttributeTag RecordInUseFlag

### RedPaletteColorLookupTableData

public static final AttributeTag RedPaletteColorLookupTableData

### RedPaletteColorLookupTableDescriptor

public static final AttributeTag RedPaletteColorLookupTableDescriptor

### ReferencedContentItemIdentifier

public static final AttributeTag ReferencedContentItemIdentifier

### ReferencedDateTime

public static final AttributeTag ReferencedDateTime

### ReferencedDefinedProtocolSequence

public static final AttributeTag ReferencedDefinedProtocolSequence

### ReferencedFileID

public static final AttributeTag ReferencedFileID

### ReferencedFrameNumber

public static final AttributeTag ReferencedFrameNumber

### ReferencedFrameOfReferenceUID

public static final AttributeTag ReferencedFrameOfReferenceUID

### ReferencedImageEvidenceSequence

public static final AttributeTag ReferencedImageEvidenceSequence

### ReferencedImageSequence

public static final AttributeTag ReferencedImageSequence

### ReferencedInstanceSequence

public static final AttributeTag ReferencedInstanceSequence

### ReferencedPatientPhotoSequence

public static final AttributeTag ReferencedPatientPhotoSequence

### ReferencedPatientSequence

public static final AttributeTag ReferencedPatientSequence

### ReferencedPerformedProcedureStepSequence

public static final AttributeTag ReferencedPerformedProcedureStepSequence

### ReferencedPerformedProtocolSequence

public static final AttributeTag ReferencedPerformedProtocolSequence

### ReferencedRealWorldValueMappingInstanceSequence

public static final AttributeTag ReferencedRealWorldValueMappingInstanceSequence

### ReferencedRelatedGeneralSOPClassUIDInFile

public static final AttributeTag ReferencedRelatedGeneralSOPClassUIDInFile

### ReferencedRequestSequence

public static final AttributeTag ReferencedRequestSequence

### ReferencedSOPClassUID

public static final AttributeTag ReferencedSOPClassUID

### ReferencedSOPClassUIDInFile

public static final AttributeTag ReferencedSOPClassUIDInFile

### ReferencedSOPInstanceUID

public static final AttributeTag ReferencedSOPInstanceUID

### ReferencedSOPInstanceUIDInFile

public static final AttributeTag ReferencedSOPInstanceUIDInFile

### ReferencedSOPSequence

public static final AttributeTag ReferencedSOPSequence

### ReferencedSamplePositions

public static final AttributeTag ReferencedSamplePositions

### ReferencedSegmentNumber

public static final AttributeTag ReferencedSegmentNumber

### ReferencedSeriesSequence

public static final AttributeTag ReferencedSeriesSequence

### ReferencedStudySequence

public static final AttributeTag ReferencedStudySequence

### ReferencedTimeOffsets

public static final AttributeTag ReferencedTimeOffsets

### ReferencedTransferSyntaxUIDInFile

public static final AttributeTag ReferencedTransferSyntaxUIDInFile

### ReferencedWaveformChannels

public static final AttributeTag ReferencedWaveformChannels

### ReferringPhysicianIdentificationSequence

public static final AttributeTag ReferringPhysicianIdentificationSequence

### ReferringPhysicianName

public static final AttributeTag ReferringPhysicianName

### ReflectedAmbientLight

public static final AttributeTag ReflectedAmbientLight

### RelatedGeneralSOPClassUID

public static final AttributeTag RelatedGeneralSOPClassUID

### RelatedSeriesSequence

public static final AttributeTag RelatedSeriesSequence

### RelationshipType

public static final AttributeTag RelationshipType

### RelevantInformationSequence

public static final AttributeTag RelevantInformationSequence

### RepetitionTime

public static final AttributeTag RepetitionTime

### RequestAttributesSequence

public static final AttributeTag RequestAttributesSequence

### RequestedProcedureCodeSequence

public static final AttributeTag RequestedProcedureCodeSequence

### RequestedProcedureDescription

public static final AttributeTag RequestedProcedureDescription

### RequestedProcedureID

public static final AttributeTag RequestedProcedureID

### RequestedSOPClassUID

public static final AttributeTag RequestedSOPClassUID

### RequestedSOPInstanceUID

public static final AttributeTag RequestedSOPInstanceUID

### RequestingServiceCodeSequence

public static final AttributeTag RequestingServiceCodeSequence

### RescaleIntercept

public static final AttributeTag RescaleIntercept

### RescaleSlope

public static final AttributeTag RescaleSlope

### RescaleType

public static final AttributeTag RescaleType

### ResonantNucleus

public static final AttributeTag ResonantNucleus

### ResponsibleOrganization

public static final AttributeTag ResponsibleOrganization

### ResponsiblePerson

public static final AttributeTag ResponsiblePerson

### ResponsiblePersonRole

public static final AttributeTag ResponsiblePersonRole

### RetrieveAETitle

public static final AttributeTag RetrieveAETitle

### RotationOfScannedFilm

public static final AttributeTag RotationOfScannedFilm

### RowPositionInTotalImagePixelMatrix

public static final AttributeTag RowPositionInTotalImagePixelMatrix

### Rows

public static final AttributeTag Rows

### SOPAuthorizationComment

public static final AttributeTag SOPAuthorizationComment

### SOPAuthorizationDateTime

public static final AttributeTag SOPAuthorizationDateTime

### SOPClassUID

public static final AttributeTag SOPClassUID

### SOPClassesInStudy

public static final AttributeTag SOPClassesInStudy

### SOPClassesSupported

public static final AttributeTag SOPClassesSupported

### SOPInstanceStatus

public static final AttributeTag SOPInstanceStatus

### SOPInstanceUID

public static final AttributeTag SOPInstanceUID

### SOPInstanceUIDOfConcatenationSource

public static final AttributeTag SOPInstanceUIDOfConcatenationSource

### SamplesPerPixel

public static final AttributeTag SamplesPerPixel

### SamplingFrequency

public static final AttributeTag SamplingFrequency

### SecondaryCaptureDeviceID

public static final AttributeTag SecondaryCaptureDeviceID

### SecondaryCaptureDeviceManufacturer

public static final AttributeTag SecondaryCaptureDeviceManufacturer

### SecondaryCaptureDeviceManufacturerModelName

public static final AttributeTag SecondaryCaptureDeviceManufacturerModelName

### SecondaryCaptureDeviceSoftwareVersions

public static final AttributeTag SecondaryCaptureDeviceSoftwareVersions

### SegmentAlgorithmType

public static final AttributeTag SegmentAlgorithmType

### SegmentIdentificationSequence

public static final AttributeTag SegmentIdentificationSequence

### SegmentLabel

public static final AttributeTag SegmentLabel

### SegmentNumber

public static final AttributeTag SegmentNumber

### SegmentSequence

public static final AttributeTag SegmentSequence

### SegmentationFractionalType

public static final AttributeTag SegmentationFractionalType

### SegmentationType

public static final AttributeTag SegmentationType

### SegmentedPropertyCategoryCodeSequence

public static final AttributeTag SegmentedPropertyCategoryCodeSequence

### SegmentedPropertyTypeCodeSequence

public static final AttributeTag SegmentedPropertyTypeCodeSequence

### SegmentedPropertyTypeModifierCodeSequence

public static final AttributeTag SegmentedPropertyTypeModifierCodeSequence

### SequenceDelimitationItem

public static final AttributeTag SequenceDelimitationItem

### SeriesDate

public static final AttributeTag SeriesDate

### SeriesDescription

public static final AttributeTag SeriesDescription

### SeriesDescriptionCodeSequence

public static final AttributeTag SeriesDescriptionCodeSequence

### SeriesInstanceUID

public static final AttributeTag SeriesInstanceUID

### SeriesNumber

public static final AttributeTag SeriesNumber

### SeriesTime

public static final AttributeTag SeriesTime

### ServiceEpisodeDescription

public static final AttributeTag ServiceEpisodeDescription

### ServiceEpisodeID

public static final AttributeTag ServiceEpisodeID

### SharedFunctionalGroupsSequence

public static final AttributeTag SharedFunctionalGroupsSequence

### ShutterLeftVerticalEdge

public static final AttributeTag ShutterLeftVerticalEdge

### ShutterLowerHorizontalEdge

public static final AttributeTag ShutterLowerHorizontalEdge

### ShutterRightVerticalEdge

public static final AttributeTag ShutterRightVerticalEdge

### ShutterShape

public static final AttributeTag ShutterShape

### ShutterUpperHorizontalEdge

public static final AttributeTag ShutterUpperHorizontalEdge

### SlabOrientation

public static final AttributeTag SlabOrientation

### SlabThickness

public static final AttributeTag SlabThickness

### SliceLocation

public static final AttributeTag SliceLocation

### SliceThickness

public static final AttributeTag SliceThickness

### SmallestImagePixelValue

public static final AttributeTag SmallestImagePixelValue

### SmokingStatus

public static final AttributeTag SmokingStatus

### SoftwareVersions

public static final AttributeTag SoftwareVersions

### SourceApplicationEntityTitle

public static final AttributeTag SourceApplicationEntityTitle

### SourceImageSequence

public static final AttributeTag SourceImageSequence

### SourceOfPreviousValues

public static final AttributeTag SourceOfPreviousValues

### SourcePatientGroupIdentificationSequence

public static final AttributeTag SourcePatientGroupIdentificationSequence

### SpacingBetweenSlices

public static final AttributeTag SpacingBetweenSlices

### SpatialLocationsPreserved

public static final AttributeTag SpatialLocationsPreserved

### SpatialResolution

public static final AttributeTag SpatialResolution

### SpecificCharacterSet

public static final AttributeTag SpecificCharacterSet

### SpecimenDescriptionSequence

public static final AttributeTag SpecimenDescriptionSequence

### SpecimenDetailedDescription

public static final AttributeTag SpecimenDetailedDescription

### SpecimenIdentifier

public static final AttributeTag SpecimenIdentifier

### SpecimenShortDescription

public static final AttributeTag SpecimenShortDescription

### SpecimenUID

public static final AttributeTag SpecimenUID

### SpectroscopyData

public static final AttributeTag SpectroscopyData

### StackID

public static final AttributeTag StackID

### StationName

public static final AttributeTag StationName

### Status

public static final AttributeTag Status

### StrainAdditionalInformation

public static final AttributeTag StrainAdditionalInformation

### StrainCodeSequence

public static final AttributeTag StrainCodeSequence

### StrainDescription

public static final AttributeTag StrainDescription

### StrainNomenclature

public static final AttributeTag StrainNomenclature

### StrainStockSequence

public static final AttributeTag StrainStockSequence

### StructureSetDate

public static final AttributeTag StructureSetDate

### StructureSetLabel

public static final AttributeTag StructureSetLabel

### StructureSetTime

public static final AttributeTag StructureSetTime

### StudyDate

public static final AttributeTag StudyDate

### StudyDescription

public static final AttributeTag StudyDescription

### StudyID

public static final AttributeTag StudyID

### StudyIDIssuer

public static final AttributeTag StudyIDIssuer

### StudyInstanceUID

public static final AttributeTag StudyInstanceUID

### StudyTime

public static final AttributeTag StudyTime

### SynchronizationFrameOfReferenceUID

public static final AttributeTag SynchronizationFrameOfReferenceUID

### SynchronizationTrigger

public static final AttributeTag SynchronizationTrigger

### TableHeight

public static final AttributeTag TableHeight

### TableOfYBreakPoints

public static final AttributeTag TableOfYBreakPoints

### TablePosition

public static final AttributeTag TablePosition

### TemplateIdentifier

public static final AttributeTag TemplateIdentifier

### TemporalPositionIndex

public static final AttributeTag TemporalPositionIndex

### TemporalRangeType

public static final AttributeTag TemporalRangeType

### TextValue

public static final AttributeTag TextValue

### Time

public static final AttributeTag Time

### TimeOfLastCalibration

public static final AttributeTag TimeOfLastCalibration

### TimeOfSecondaryCapture

public static final AttributeTag TimeOfSecondaryCapture

### TimezoneOffsetFromUTC

public static final AttributeTag TimezoneOffsetFromUTC

### TomoAngle

public static final AttributeTag TomoAngle

### TotalPixelMatrixColumns

public static final AttributeTag TotalPixelMatrixColumns

### TotalPixelMatrixOriginSequence

public static final AttributeTag TotalPixelMatrixOriginSequence

### TotalPixelMatrixRows

public static final AttributeTag TotalPixelMatrixRows

### TrackingID

public static final AttributeTag TrackingID

### TrackingUID

public static final AttributeTag TrackingUID

### TransferSyntaxUID

public static final AttributeTag TransferSyntaxUID

### TreatmentDate

public static final AttributeTag TreatmentDate

### TreatmentTime

public static final AttributeTag TreatmentTime

### TriggerTime

public static final AttributeTag TriggerTime

### TypeOfPatientID

public static final AttributeTag TypeOfPatientID

### UDISequence

public static final AttributeTag UDISequence

### UID

public static final AttributeTag UID

### UnassignedPerFrameConvertedAttributesSequence

public static final AttributeTag UnassignedPerFrameConvertedAttributesSequence

### UnassignedSharedConvertedAttributesSequence

public static final AttributeTag UnassignedSharedConvertedAttributesSequence

### Units

public static final AttributeTag Units

### VOILUTFunction

public static final AttributeTag VOILUTFunction

### VOILUTSequence

public static final AttributeTag VOILUTSequence

### ValueType

public static final AttributeTag ValueType

### VerificationDateTime

public static final AttributeTag VerificationDateTime

### VerificationFlag

public static final AttributeTag VerificationFlag

### VerticesOfThePolygonalShutter

public static final AttributeTag VerticesOfThePolygonalShutter

### VideoImageFormatAcquired

public static final AttributeTag VideoImageFormatAcquired

### ViewCodeSequence

public static final AttributeTag ViewCodeSequence

### ViewModifierCodeSequence

public static final AttributeTag ViewModifierCodeSequence

### ViewPosition

public static final AttributeTag ViewPosition

### VolumeBasedCalculationTechnique

public static final AttributeTag VolumeBasedCalculationTechnique

### VolumeLocalizationSequence

public static final AttributeTag VolumeLocalizationSequence

### VolumetricProperties

public static final AttributeTag VolumetricProperties

### WaveformBitsAllocated

public static final AttributeTag WaveformBitsAllocated

### WaveformBitsStored

public static final AttributeTag WaveformBitsStored

### WaveformChannelNumber

public static final AttributeTag WaveformChannelNumber

### WaveformData

public static final AttributeTag WaveformData

### WaveformSequence

public static final AttributeTag WaveformSequence

### WholeSlideMicroscopyImageFrameTypeSequence

public static final AttributeTag WholeSlideMicroscopyImageFrameTypeSequence

### WindowCenter

public static final AttributeTag WindowCenter

### WindowCenterWidthExplanation

public static final AttributeTag WindowCenterWidthExplanation

### WindowWidth

public static final AttributeTag WindowWidth

### XOffsetInSlideCoordinateSystem

public static final AttributeTag XOffsetInSlideCoordinateSystem

### XRay3DAcquisitionSequence

public static final AttributeTag XRay3DAcquisitionSequence

### XRay3DFrameTypeSequence

public static final AttributeTag XRay3DFrameTypeSequence

### YOffsetInSlideCoordinateSystem

public static final AttributeTag YOffsetInSlideCoordinateSystem

### ZOffsetInSlideCoordinateSystem

public static final AttributeTag ZOffsetInSlideCoordinateSystem

## Constructor Details

### TagFromName

public TagFromName()